## org.apache.cassandra.service
Interface StorageProxy.WritePerformer

Enclosing class:
  StorageProxy

    public static interface StorageProxy.WritePerformer

Method Summary
`void` `apply(IMutation mutation, java.util.Collection<java.net.InetAddress> targets, IWriteResponseHandler responseHandler, java.lang.String localDataCenter, ConsistencyLevel consistency_level)`

Method Detail

### apply

    void apply(IMutation mutation,
               java.util.Collection<java.net.InetAddress> targets,
               IWriteResponseHandler responseHandler,
               java.lang.String localDataCenter,
               ConsistencyLevel consistency_level)
               throws java.io.IOException,
                      java.util.concurrent.TimeoutException

  Throws:
    `java.io.IOException`
    `java.util.concurrent.TimeoutException`

Copyright © 2012 The Apache Software Foundation